package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.StaffMenu;

import java.util.List;

/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/
public interface StaffMenuService extends IService<StaffMenu> {



	StaffMenu selectStaffMenuById(Long id);


	Long insertStaffMenu(StaffMenu staffMenu);


	int updateStaffMenuById(StaffMenu staffMenu);


	int updateCoverStaffMenuById(StaffMenu staffMenu);


	int deleteStaffMenuById(Long id);


    List<StaffMenu> selectAll();

	List<StaffMenu> selectByParentId(Long parentId);
}